:root {
  --clr-white: #FFFFFF;
  --clr-black: #000000;
  --clr-accent: #83A591;
  --clr-bg: #F1EDED;
  --def-transition: .35s;
  --def-opacity: .8;
  --p-inline: 24px;
  --tb-size: 64px;
  --def-font: "Inter", sans-serif;
}

.m-t-sm {
  margin-top: 36px;
}

.m-t-m {
  margin-top: 48px;
}

.p-tb-m {
  padding-top: var(--tb-size);
  padding-bottom: var(--tb-size);
}

.p-tb-big {
  padding-top: calc(var(--tb-size) * 2);
  padding-bottom: calc(var(--tb-size) * 2);
}

.bg-white {
  background-color: var(--clr-white);
}

.bg-black {
  color: var(--clr-white);
  background-color: var(--clr-black);
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/Inter/Inter-Regular/Inter-Regular.woff") format("woff"), url("../fonts/Inter/Inter-Regular/Inter-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/Inter/Inter-Medium/Inter-Medium.woff") format("woff"), url("../fonts/Inter/Inter-Medium/Inter-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/Inter/Inter-SemiBold/Inter-SemiBold.woff") format("woff"), url("../fonts/Inter/Inter-SemiBold/Inter-SemiBold.woff2") format("woff2");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

*,
body,
html {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  min-width: 320px;
}

html {
  height: 100%;
  font-family: var(--def-font);
  font-size: 16px;
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  scroll-behavior: smooth;
}

body {
  height: 100%;
  color: var(--clr-black);
  -webkit-font-smoothing: antialiased;
  background-color: var(--clr-bg);
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
}

body.modal-active {
  overflow: hidden;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

main {
  display: block;
}

a {
  text-decoration: none;
  outline: none;
}

a:not([class]) {
  -webkit-text-decoration-skip: ink;
          text-decoration-skip-ink: auto;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

input,
textarea,
select,
button {
  font: inherit;
  border-radius: 0;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  outline: none;
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}

audio,
canvas,
iframe,
img,
svg,
video,
textarea {
  vertical-align: middle;
}

fieldset {
  border: 0;
}

section {
  position: relative;
}

.visually-hidden {
  position: absolute;
  margin: -1px;
  padding: 0;
  width: 1px;
  height: 1px;
  border: 0;
  white-space: nowrap;
  -webkit-clip-path: inset(100%);
          clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.content {
  flex: 1 0 auto;
}

.logo {
  display: inline-block;
  transition: var(--def-transition);
}

.logo:hover,
.logo:focus {
  opacity: var(--def-opacity);
}

.container {
  margin-left: auto;
  margin-right: auto;
  padding-inline: var(--p-inline);
  width: 100%;
  max-width: calc(1184px + var(--p-inline) * 2);
}

.section-title {
  font-size: 20px;
  font-weight: 400;
}

.section-title.big {
  text-transform: uppercase;
}

.section-heading {
  font-size: 60px;
  font-weight: 400;
  line-height: 1.2em;
  text-transform: uppercase;
}

.section-heading.sm {
  font-size: 24px;
  font-weight: 400;
}

.fade-in {
  transition: 1s;
  opacity: 0.1;
}

.fade-in.appear {
  opacity: 1;
}

.btn-def {
  display: block;
  padding: 1em 2em;
  width: -moz-max-content;
  width: max-content;
  font-size: 16px;
  font-weight: 500;
  border: 1px solid transparent;
  border-radius: 50vw;
  transition: var(--def-transition);
  cursor: pointer;
}

.btn-def.black {
  color: var(--clr-white);
  background-color: var(--clr-black);
}

.btn-def.black:hover,
.btn-def.black:focus {
  color: var(--clr-black);
  background-color: var(--clr-white);
}

.btn-def.white {
  color: var(--clr-black);
  background-color: var(--clr-white);
}

.btn-def.white:hover,
.btn-def.white:focus {
  color: var(--clr-white);
  background-color: transparent;
  border-color: var(--clr-white);
}

.btn-link {
  display: block;
  width: -moz-fit-content;
  width: fit-content;
  font-size: 16px;
  font-weight: 500;
  line-height: 19px;
  color: var(--clr-black);
  text-decoration: underline;
  transition: var(--def-transition);
}

.btn-link:hover,
.btn-link:focus {
  color: var(--clr-accent);
}

@supports selector(*:focus-visible) {
  .btn-def.black:focus {
    color: var(--clr-white);
    background-color: var(--clr-black);
  }

  .btn-def.black:hover,
  .btn-def.black:focus-visible {
    color: var(--clr-black);
    background-color: var(--clr-white);
  }

  .btn-def.white:focus {
    color: var(--clr-black);
    background-color: var(--clr-white);
    border-color: transparent;
  }

  .btn-def.white:hover,
  .btn-def.white:focus-visible {
    color: var(--clr-white);
    background-color: transparent;
    border-color: var(--clr-white);
  }

  .btn-link:focus {
    color: var(--clr-black);
  }

  .btn-link:hover,
  .btn-link:focus-visible {
    color: var(--clr-accent);
  }
}

.header {
  position: relative;
  padding-top: 29px;
  flex: 0 0 auto;
  z-index: 10;
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}

.header-logo {
  font-size: 20px;
  font-weight: 600;
  color: var(--clr-black);
}

.footer {
  padding-top: var(--tb-size);
  padding-bottom: var(--tb-size);
  flex: 0 0 auto;
}

.footer-grid {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 48px;
}

.footer-link {
  position: relative;
  padding-bottom: 4px;
  font-size: 18px;
  font-weight: 400;
  line-height: 1.2em;
  color: var(--clr-black);
  text-transform: uppercase;
  word-break: break-word;
  overflow: hidden;
}

.footer-link:before {
  content: "";
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--clr-black);
  transform: translateX(-105%);
  transition: var(--def-transition);
}

.footer-link:hover:before,
.footer-link:focus:before {
  transform: translateX(0);
}

@supports selector(*:focus-visible) {
  .footer-link:focus:before {
    transform: translateX(-105%);
  }

  .footer-link:hover:before,
  .footer-link:focus-visible:before {
    transform: translateX(0);
  }
}

@media screen and (max-width: 768px) {
  .p-tb-big {
    padding-top: var(--tb-size);
    padding-bottom: var(--tb-size);
  }
}

@media screen and (max-width: 724px) {
  .section-heading {
    font-size: 42px;
  }
}

@media screen and (max-width: 552px) {
  .m-t-sm {
    margin-top: 24px;
  }

  .btn-def {
    font-size: 12px;
  }

  .header-logo {
    font-size: 18px;
  }

  .footer-link {
    font-size: 16px;
  }
}

@media screen and (max-width: 400px) {
  :root {
    --p-inline: 16px;
  }

  .section-heading {
    font-size: 32px;
  }

  .header-container {
    gap: 10px;
  }

  .header-logo {
    font-size: 14px;
  }
}

@media screen and (max-width: 360px) {
  .footer-grid {
    grid-template-columns: 1fr;
    gap: 24px;
  }
}